Search Results for

Show / Hide Table of Contents

# Class Curses.Event

##### Inheritance

System.Object
Curses.Event

###### Namespace: Unix.Terminal

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class Event : Enum

### Fields

#### AllEvents

##### Declaration

    public const Curses.Event AllEvents

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button1Clicked

##### Declaration

    public const Curses.Event Button1Clicked

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button1DoubleClicked

##### Declaration

    public const Curses.Event Button1DoubleClicked

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button1Pressed

##### Declaration

    public const Curses.Event Button1Pressed

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button1Released

##### Declaration

    public const Curses.Event Button1Released

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button1TripleClicked

##### Declaration

    public const Curses.Event Button1TripleClicked

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button2Clicked

##### Declaration

    public const Curses.Event Button2Clicked

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button2DoubleClicked

##### Declaration

    public const Curses.Event Button2DoubleClicked

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button2Pressed

##### Declaration

    public const Curses.Event Button2Pressed

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button2Released

##### Declaration

    public const Curses.Event Button2Released

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button2TrippleClicked

##### Declaration

    public const Curses.Event Button2TrippleClicked

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button3Clicked

##### Declaration

    public const Curses.Event Button3Clicked

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button3DoubleClicked

##### Declaration

    public const Curses.Event Button3DoubleClicked

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button3Pressed

##### Declaration

    public const Curses.Event Button3Pressed

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button3Released

##### Declaration

    public const Curses.Event Button3Released

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button3TripleClicked

##### Declaration

    public const Curses.Event Button3TripleClicked

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button4Clicked

##### Declaration

    public const Curses.Event Button4Clicked

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button4DoubleClicked

##### Declaration

    public const Curses.Event Button4DoubleClicked

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button4Pressed

##### Declaration

    public const Curses.Event Button4Pressed

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button4Released

##### Declaration

    public const Curses.Event Button4Released

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### Button4TripleClicked

##### Declaration

    public const Curses.Event Button4TripleClicked

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### ButtonAlt

##### Declaration

    public const Curses.Event ButtonAlt

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### ButtonCtrl

##### Declaration

    public const Curses.Event ButtonCtrl

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### ButtonShift

##### Declaration

    public const Curses.Event ButtonShift

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### ButtonWheeledDown

##### Declaration

    public const Curses.Event ButtonWheeledDown

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### ButtonWheeledUp

##### Declaration

    public const Curses.Event ButtonWheeledUp

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### ReportMousePosition

##### Declaration

    public const Curses.Event ReportMousePosition

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### value__

##### Declaration

    public long value__

##### Field Value

Type | Description
--- | ---
System.Int64 |